[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [m2e-users] slf4j Dependency Error on plugin Install

I'd still use more recent and supported eclipse version.
-- 
Sent from my SGS

Jason van Zyl <jason@xxxxxxxx> wrote:

>Indigo is no longer officially supported for m2e, but we've created an
>update site that will allow the installation of m2e 1.4 into Indigo:
>
>http://download.eclipse.org/technology/m2e/releases-for-indigo/1.4/
>
>On Jul 19, 2013, at 9:45 PM, "Arthur, Kevin" <kevin.arthur@xxxxxxxxx>
>wrote:
>
>> New to the group.  Hello!
>>  
>> Also â forgive me â little java experience and even less using
>Eclipse and maven.  Thatâs about to change.  Iâm following company
>installation and configuration instructions to set up my environment
>with limited support from more colleagues unfortunately.
>>  
>> So, instructions called for installation of a specific combination
>that apparently worked together:
>> - Java 6 (jdk 1.6.0_33)
>> - Eclipse Indigo 3.7.0
>> - Maven 3.0.5
>> - âm2e â Maven Integration for Eclipseâ plugin 
>(http://download.eclipse.org/technology/m2e/releases/1.3/1.3.1.20130219-1424)
>>  
>> But no one saved the binaries for Maven and the plugin and it doesnât
>seem they are available anymore.
>>  
>> I have installed Maven 3.1.0 and am attempting to install the only
>available version of the maven plugin, 1.4.  The maven install seems to
>be okay:
>>  
>> c:\projects\Tools>mvn --version
>> Apache Maven 3.1.0 (893ca28a1da9d5f51ac03827af98bb730128f9f2;
>2013-06-27 19:15:3
>> 2-0700)
>> Maven home: C:\projects\Tools\apache-maven-3.1.0\bin\..
>> Java version: 1.6.0_33, vendor: Sun Microsystems Inc.
>> Java home: C:\projects\Tools\jdk1.6.0_33\jre
>> Default locale: en_US, platform encoding: Cp1252
>> OS name: "windows 7", version: "6.1", arch: "amd64", family:
>"windows"
>> c:\projects\Tools>
>>  
>> When I try to install the m2e plugin, however, I get this (most
>recently):
>>  
>> Details
>> Cannot complete the install because one or more required items could
>not be found.
>>   Software being installed: m2e - slf4j over logback logging
>(Optional) 1.4.0.20130601-0317
>(org.eclipse.m2e.logback.feature.feature.group 1.4.0.20130601-0317)
>>   Missing requirement: m2e logback configuration 1.4.0.20130601-0317
>(org.eclipse.m2e.logback.configuration 1.4.0.20130601-0317) requires
>'bundle org.slf4j.api 1.6.2' but it could not be found
>>   Cannot satisfy dependency:
>>     From: m2e - slf4j over logback logging (Optional)
>1.4.0.20130601-0317 (org.eclipse.m2e.logback.feature.feature.group
>1.4.0.20130601-0317)
>>     To: org.eclipse.m2e.logback.configuration [1.4.0.20130601-0317]
>>  
>>  
>> Sometimes in my trials and tribulations it said âeditorâ instead of
>âlogback.configurationâ.
>>  
>> Hoping one of you all can advise what I need to install where to get
>the plugin going.
>>  
>> Note:
>> - The maven has âslf4j-api-1.7.4.jarâ and âslf4j-simple-1.7.4.jarâ
>files in it already.  Donât know how to get the plugin to âseeâ those. 
>> - I tried downloading the 1.6.2 verson of slf4j and tried copying the
>same two jar files from that version to the maven lib directory, but no
>diff. 
>> - Thereâs a âpom.xmlâ file in the slf4j zip file/structure, but I
>didnât know where to copy it in the maven directory structure.  Canât
>find any âpom.xmlâ file in maven directory structure itself.
>>  
>> Obviously Iâm just trying things at random, which isnât getting me
>anywhere.  Help?
>>  
>> Thank you!
>>  
>> Kevin
>>  
>>
>======================================================================================
>> More details:  (Note â I could paste the Eclipse configuration
>details, but seems like overkill.  Let me know if not)
>>  
>> - Windows 7 Enterprise, SP1  8GB, 64-bit O/S
>>  
>> - Eclipse Java EE IDE for Web Developers.
>> Version: Indigo Release
>> Build id: 20110615-0604
>> Eclipse Platform 3.7.0
>>  
>> - Eclipse, java, maven all installed into âc:\projects\Toolsâ
>directory.
>> - Eclipse launched via shortcut to a batch file thus:
>>  
>> set
>PATH=C:\projects\Tools\jdk1.6.0_33\bin;C:\projects\Tools\eclipse_Indigo\eclipse;C:\projects\Tools\apache-maven-3.1.0\bin;C:\projects\Tools\apache-ant-1.8.2\bin;%PATH%
>> set JAVA_HOME=C:\projects\Tools\jdk1.6.0_33
>> set ORACLE_HOME=C:\oracle\product\11.2.0\client_64
>> set NLS_LANG=AMERICAN_AMERICA.UTF8
>> start eclipse
>>  
>>  
>> *** System properties:  [snippit]
>> awt.toolkit=sun.awt.windows.WToolkit
>> eclipse.application=org.eclipse.ui.ide.workbench
>> eclipse.buildId=I20110613-1736
>> eclipse.commands=-os
>> win32
>> -ws
>> win32
>> -arch
>> x86_64
>> -showsplash
>>
>C:\projects\Tools\eclipse_Indigo\eclipse\\plugins\org.eclipse.platform_3.7.0.v201106131736\splash.bmp
>> -launcher
>> C:\projects\Tools\eclipse_Indigo\eclipse\eclipse.exe
>> -name
>> Eclipse
>> --launcher.library
>>
>C:\projects\Tools\eclipse_Indigo\eclipse\\plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.100.v20110502\eclipse_1406.dll
>> -startup
>>
>C:\projects\Tools\eclipse_Indigo\eclipse\\plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar
>> --launcher.overrideVmargs
>> -product
>> org.eclipse.epp.package.jee.product
>> -vm
>> C:\projects\Tools\jdk1.6.0_33\bin\..\jre\bin\server\jvm.dll
>> eclipse.home.location=file:/C:/projects/Tools/eclipse_Indigo/eclipse/
>> eclipse.launcher=C:\projects\Tools\eclipse_Indigo\eclipse\eclipse.exe
>> eclipse.launcher.name=Eclipse
>> eclipse.p2.data.area=@xxxxxxxxxx/../p2
>> eclipse.p2.profile=epp.package.jee
>> eclipse.product=org.eclipse.epp.package.jee.product
>> eclipse.startTime=1374281385689
>>
>eclipse.vm=C:\projects\Tools\jdk1.6.0_33\bin\..\jre\bin\server\jvm.dll
>> eclipse.vmargs=-Dosgi.requiredJavaVersion=1.5
>> -Xms40m
>> -Xmx512m
>> -XX:MaxPermSize=256m
>>
>-Djava.class.path=C:\projects\Tools\eclipse_Indigo\eclipse\\plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar
>>  
>>  
>>  
>>  
>>  
>>  
>>  
>>  
>>  
>>  
>>  
>>  
>>  
>>  
>>  
>>  
>> 
>> This message contains confidential information and is intended only
>for the individual named. If you are not the named addressee, you
>should not disseminate, distribute, alter or copy this e-mail. Please
>notify the sender immediately by e-mail if you have received this
>e-mail by mistake and delete this e-mail from your system. E-mail
>transmissions cannot be guaranteed to be secure or without error as
>information could be intercepted, corrupted, lost, destroyed, arrive
>late or incomplete, or contain viruses. The sender, therefore, does not
>accept liability for any errors or omissions in the contents of this
>message which arise during or as a result of e-mail transmission. If
>verification is required, please request a hard-copy version. This
>message is provided for information purposes and should not be
>construed as a solicitation or offer to buy or sell any securities or
>related financial instruments in any jurisdiction.
>> 
>> _______________________________________________
>> m2e-users mailing list
>> m2e-users@xxxxxxxxxxx
>> https://dev.eclipse.org/mailman/listinfo/m2e-users
>
>Thanks,
>
>Jason
>
>----------------------------------------------------------
>Jason van Zyl
>Founder,  Apache Maven
>http://twitter.com/jvanzyl
>---------------------------------------------------------
>
>Script timed out
>
>
>
>
>
>
>
>
>------------------------------------------------------------------------
>
>_______________________________________________
>m2e-users mailing list
>m2e-users@xxxxxxxxxxx
>https://dev.eclipse.org/mailman/listinfo/m2e-users